Subject: Re: [PATCH linux-next] MIPS: ioctls: Add missing TIOC{S,G}RS485 definitions

From: Markos Chandras <[email-masked]>
Date: Wed, 10 Sep 2014 10:14:36 +0100

On 09/10/2014 10:05 AM, Ricardo Ribalda Delgado wrote:
> Hello Markos
> 
> Sorry for the mess. I have already send a new patch for mips using the
> _IO* macros
> 
> Just to put things a bit into context:
> 
> I did made the patch for serial and tested it only in x86. I wrongly
> infer that the IOCTLS were defined for all the arches (sorry :S)
> 
> Then when the patch was applied on tty-next the build-bot throw some
> errors for xtensa, that I fixed without using the IO_ macros
> 
> Then you came with your patch,
> 
> I realized that this could be wrong for mor arches, so I check the
> rest and make patches for them.
> 
> Greg then pointed out that I should use _IO instead of numbers, so I
> remade my patches using the _IO macros. I did not want to step into
> your patch so I did not prepare a new one for mips
> 
> All the _IO patches (except mips) are now merged into tty-next.
> 
> Hopefully that one also get merged soon :)
> 
> 
> Thanks for your help and sorry for any disturbance.
> 
> 

Hi Ricardo,

No problem :) Thanks for taking care of that

-- 
markos